# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['vdocs']

package_data = \
{'': ['*'],
 'vdocs': ['BFD Sessions/CSV/*',
           'BFD Sessions/HTML/*',
           'BFD Sessions/JSON/*',
           'BFD Sessions/Markdown/*',
           'BFD Sessions/Mindmap/*',
           'BFD Sessions/YAML/*',
           'CEdge Interfaces/CSV/*',
           'CEdge Interfaces/HTML/*',
           'CEdge Interfaces/JSON/*',
           'CEdge Interfaces/Markdown/*',
           'CEdge Interfaces/Mindmap/*',
           'CEdge Interfaces/YAML/*',
           'Control Connection/CSV/*',
           'Control Connection/HTML/*',
           'Control Connection/JSON/*',
           'Control Connection/Markdown/*',
           'Control Connection/Mindmap/*',
           'Control Connection/YAML/*',
           'Control Local Property/CSV/*',
           'Control Local Property/HTML/*',
           'Control Local Property/JSON/*',
           'Control Local Property/Markdown/*',
           'Control Local Property/Mindmap/*',
           'Control Local Property/YAML/*',
           'Control WAN Interfaces/CSV/*',
           'Control WAN Interfaces/HTML/*',
           'Control WAN Interfaces/JSON/*',
           'Control WAN Interfaces/Markdown/*',
           'Control WAN Interfaces/Mindmap/*',
           'Control WAN Interfaces/YAML/*',
           'Device Counters/CSV/*',
           'Device Counters/HTML/*',
           'Device Counters/JSON/*',
           'Device Counters/Markdown/*',
           'Device Counters/Mindmap/*',
           'Device Counters/YAML/*',
           'Device Status/CSV/*',
           'Device Status/HTML/*',
           'Device Status/JSON/*',
           'Device Status/Markdown/*',
           'Device Status/Mindmap/*',
           'Device Status/YAML/*',
           'Fabric Devices/CSV/*',
           'Fabric Devices/HTML/*',
           'Fabric Devices/JSON/*',
           'Fabric Devices/Markdown/*',
           'Fabric Devices/Mindmap/*',
           'Fabric Devices/YAML/*',
           'Hardware Environment/CSV/*',
           'Hardware Environment/HTML/*',
           'Hardware Environment/JSON/*',
           'Hardware Environment/Markdown/*',
           'Hardware Environment/Mindmap/*',
           'Hardware Environment/YAML/*',
           'Hardware Inventory/CSV/*',
           'Hardware Inventory/HTML/*',
           'Hardware Inventory/JSON/*',
           'Hardware Inventory/Markdown/*',
           'Hardware Inventory/Mindmap/*',
           'Hardware Inventory/YAML/*',
           'Interfaces/CSV/*',
           'Interfaces/HTML/*',
           'Interfaces/JSON/*',
           'Interfaces/Markdown/*',
           'Interfaces/Mindmap/*',
           'Interfaces/YAML/*',
           'OMP Peers/CSV/*',
           'OMP Peers/HTML/*',
           'OMP Peers/JSON/*',
           'OMP Peers/Markdown/*',
           'OMP Peers/Mindmap/*',
           'OMP Peers/YAML/*',
           'System Status/CSV/*',
           'System Status/HTML/*',
           'System Status/JSON/*',
           'System Status/Markdown/*',
           'System Status/Mindmap/*',
           'System Status/YAML/*',
           'Template Feature Types/CSV/*',
           'Template Feature Types/HTML/*',
           'Template Feature Types/JSON/*',
           'Template Feature Types/Markdown/*',
           'Template Feature Types/Mindmap/*',
           'Template Feature Types/YAML/*',
           'Template Features/CSV/*',
           'Template Features/HTML/*',
           'Template Features/JSON/*',
           'Template Features/Markdown/*',
           'Template Features/Mindmap/*',
           'Template Features/YAML/*',
           'Template Policy List/CSV/*',
           'Template Policy List/HTML/*',
           'Template Policy List/JSON/*',
           'Template Policy List/Markdown/*',
           'Template Policy List/Mindmap/*',
           'Template Policy List/YAML/*',
           'vEdge Devices/CSV/*',
           'vEdge Devices/HTML/*',
           'vEdge Devices/JSON/*',
           'vEdge Devices/Markdown/*',
           'vEdge Devices/Mindmap/*',
           'vEdge Devices/YAML/*']}

install_requires = \
['aiofiles>=23.1.0,<24.0.0',
 'aiohttp>=3.8.4,<4.0.0',
 'jinja2>=3.1.2,<4.0.0',
 'pyyaml>=6.0,<7.0',
 'requests>=2.28.2,<3.0.0',
 'rich-click>=1.6.1,<2.0.0']

entry_points = \
{'console_scripts': ['vdocs = vdocs.script:run']}

setup_kwargs = {
    'name': 'vdocs',
    'version': '0.1.6',
    'description': 'Business ready documents from Cisco SD-WAN vManage',
    'long_description': "[![published](https://static.production.devnetcloud.com/codeexchange/assets/images/devnet-published.svg)](https://developer.cisco.com/codeexchange/github/repo/automateyournetwork/vDocs)\n\n[![Run in Cisco Cloud IDE](https://static.production.devnetcloud.com/codeexchange/assets/images/devnet-runable-icon.svg)](https://developer.cisco.com/devenv/?id=devenv-vscode-base&GITHUB_SOURCE_REPO=https://github.com/automateyournetwork/vDocs)\n\n# vDocs\n\nBusiness Ready Documents for Cisco SD-WAN vManage\n\n## Current API Coverage\n\nBFD Sessions\n\nCEdge Interfaces\n\nControl Connection\n\nControl Local Property\n\nControl WAN Interface\n\nDevice Counters\n\nDevice Status\n\nFabric Devices\n\nHardware Environment\n\nHardware Inventory\n\nInterfaces\n\nOMP Peers\n\nSystem Status\n\nTemplate Feature Types\n\nTemplate Features\n\nTemplate Policy List\n\nvEdge Devices\n\n## Installation\n\n```console\n$ python3 -m venv sdwan\n$ source sdwan/bin/activate\n(sdwan) $ pip install vdocs\n```\n\n## Usage - Help\n\n```console\n(sdwan) $ vdocs --help\n```\n\n![vDocs Help](/images/help.png)\n\n## Usage - In-line\n\n```console\n(sdwan) $ vdocs --url <url to vManage> --username <vManage username> --password <vManage password>\n```\n\n## Usage - Interactive\n\n```console\n(sdwan) $ vdocs\nvManage URL: <URL to vManage>\nvManage Username: <vManage Username>\nvManage Password: <vManage Password>\n```\n\n## Usage - Environment Variables\n\n```console\n(sdwan) $ export URL=<URL to vManage>\n(sdwan) $ export USERNAME=<vManage Username>\n(sdwan) $ export PASSWORD=<vManage Password>\n```\n\n## Recommended VS Code Extensions\n\nExcel Viewer - CSV Files\n\nMarkdown Preview - Markdown Files\n\nMarkmap - Mindmap Files\n\nOpen in Default Browser - HTML Files\n\n## Always On Sandbox\n\nThis code works with the always on sandbox! \n\nhttps://devnetsandbox.cisco.com/RM/Diagram/Index/a4ab71bc-f7a0-4d63-bedb-05a051818569?diagramType=Topology\n\n```console\nexport URL=https://sandbox-sdwan-2.cisco.com\nexport USERNAME=devnetuser\nexport PASSWORD='RG!_Yw919_83'\n\n(venv)$ pip install vdocs\n(venv)$ mkdir vdocs_output\n(venv)$ cd vdocs_output\n(venv)/vdocs_output$ vdocs\n(venv)/vdocs_output$ code . \n(Launches VS Code and you can view the output with the recommended VS Code extensions)\n```\n## Contact\n\nPlease contact John Capobianco if you need any assistance\n",
    'author': 'John Capobianco',
    'author_email': 'ptcapo@gmail.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
